diff --git a/notebook_nueva/base.stl b/notebook_nueva/base.stl index ee39a77..016ef42 100644 Binary files a/notebook_nueva/base.stl and b/notebook_nueva/base.stl differ diff --git a/notebook_nueva/base_left.stl b/notebook_nueva/base_left.stl index 1479c68..cf49c38 100644 Binary files a/notebook_nueva/base_left.stl and b/notebook_nueva/base_left.stl differ diff --git a/notebook_nueva/base_right.stl b/notebook_nueva/base_right.stl index def9790..4d5141d 100644 Binary files a/notebook_nueva/base_right.stl and b/notebook_nueva/base_right.stl differ diff --git a/notebook_nueva/components/screen_pillars.py b/notebook_nueva/components/screen_pillars.py index eef5cdf..4cea0d4 100644 --- a/notebook_nueva/components/screen_pillars.py +++ b/notebook_nueva/components/screen_pillars.py @@ -32,7 +32,7 @@ def init(positions, thickness): "x": 0, "y": 0, "shape": cq.Sketch().push(positions).circle(screw_head_radius, mode="a"), - "depth": screw_head_depth + "depth": screw_head_depth, }, { "x": 0, diff --git a/notebook_nueva/dimensions.py b/notebook_nueva/dimensions.py index 3e830fd..6093942 100644 --- a/notebook_nueva/dimensions.py +++ b/notebook_nueva/dimensions.py @@ -141,4 +141,4 @@ screen_pillars.pillar_width = 12 screen_pillars.pillar_height = 12 screen_pillars.screw_head_radius = 3 screen_pillars.screw_radius = 1.8 -screen_pillars.screw_head_depth = base_thickness - 13, # (screw thread length - threaded insert depth) +screen_pillars.screw_head_depth = base_thickness - 13 # (screw thread length - threaded insert depth) diff --git a/notebook_nueva/tandy_lid.py b/notebook_nueva/tandy_lid.py index 74df11e..4a01618 100644 --- a/notebook_nueva/tandy_lid.py +++ b/notebook_nueva/tandy_lid.py @@ -2,6 +2,7 @@ import cadquery as cq import dimensions as dim from utils import export +from components import screen_pillars viewport_cutout = ( cq.Sketch().trapezoid(dim.vis_w, dim.vis_h, 90, mode="a").vertices().fillet(2) @@ -20,13 +21,13 @@ board_cutout = cq.Sketch().trapezoid( kbd_cable_hole = cq.Sketch().trapezoid(20, 9, 90, mode="a").vertices().fillet(1) -# y needs to be inverted because this is the top side, adn there's 2 pillars we don't use +# y needs to be inverted because this is the top side, and there's 2 pillars we don't use dim.mounting_pillar_positions = [(x, -y) for x, y in dim.mounting_pillar_positions[:-2]] mounting_pillars = ( cq.Sketch() .push(dim.mounting_pillar_positions) - .trapezoid(-12, 12, 90, mode="a") + .trapezoid(screen_pillars.pillar_width, screen_pillars.pillar_height, 90, mode="a") .circle(dim.ti_radius, mode="s") .clean() ) diff --git a/notebook_nueva/tandy_lid.stl b/notebook_nueva/tandy_lid.stl index a21f752..30adc54 100644 Binary files a/notebook_nueva/tandy_lid.stl and b/notebook_nueva/tandy_lid.stl differ diff --git a/notebook_nueva/tandy_lid_left.stl b/notebook_nueva/tandy_lid_left.stl index 2a1762e..70d1993 100644 Binary files a/notebook_nueva/tandy_lid_left.stl and b/notebook_nueva/tandy_lid_left.stl differ diff --git a/notebook_nueva/tandy_lid_right.stl b/notebook_nueva/tandy_lid_right.stl index 301cc97..d3ecfef 100644 Binary files a/notebook_nueva/tandy_lid_right.stl and b/notebook_nueva/tandy_lid_right.stl differ